aboutsummaryrefslogtreecommitdiffstats
path: root/package/radvd/files/S51radvd
diff options
context:
space:
mode:
Diffstat (limited to 'package/radvd/files/S51radvd')
-rwxr-xr-xpackage/radvd/files/S51radvd22
1 files changed, 22 insertions, 0 deletions
diff --git a/package/radvd/files/S51radvd b/package/radvd/files/S51radvd
new file mode 100755
index 0000000000..88565db480
--- /dev/null
+++ b/package/radvd/files/S51radvd
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+case "$1" in
+ start)
+ echo 1 > /proc/sys/net/ipv6/conf/all/forwarding
+ /usr/sbin/radvd
+ ;;
+
+ stop)
+ killall radvd
+ echo 0 > /proc/sys/net/ipv6/conf/all/forwarding
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac